## ECalView ECalView |

## Functions

struct _ECal * | e_cal_view_get_client ()
void | e_cal_view_start ()
void | e_cal_view_stop ()

## Object Hierarchy

        GObject
        ╰── ECalView

## Description

## Functions

### e_cal_view_get_client ()

    struct _ECal *
    e_cal_view_get_client (ECalView *cal_view);

`e_cal_view_get_client` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClientView

Get the ECal associated with this view.

[skip]

#### Parameters

cal_view | A ECalView object. |

#### Returns

the associated client.

[transfer none]

Since: 2.22

### e_cal_view_start ()

    void
    e_cal_view_start (ECalView *cal_view);

`e_cal_view_start` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClientView

Starts a live query to the calendar/tasks backend.

#### Parameters

cal_view | A ECalView object. |

Since: 2.22

### e_cal_view_stop ()

    void
    e_cal_view_stop (ECalView *cal_view);

`e_cal_view_stop` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClientView

Stops a live query to the calendar/tasks backend.

#### Parameters

cal_view | A ECalView object. |

Since: 2.32

## Types and Values